Create an Assistant
POST
/api/v1/assistantsRequires an Organization API key with the edit capability. Supply an Idempotency-Key when retrying the same request.
Authorization
apiKey AuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key?string
Reuse the same value only when retrying the same logical operation.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/assistants" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "id": "string", "title": "string", "nickname": "string", "description": "string", "avatarUrl": "string", "welcomeMessage": "string", "aiDisclaimer": "string", "suggestedQuestions": [ "string" ], "answeringStyle": "string", "chatLauncherEnabled": true, "allowedDomains": [ "string" ], "requireSignIn": true, "createdAt": "string"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}